

#include "common.h"
#include "SetTree.h"

enum {	A = 0, B, C, D, E, F,G, H	};

int main(void)
{
	/*		 	*/
	SetTree* pA = InitSet(A);	SetTree* pB = InitSet(B);
	SetTree* pC = InitSet(C);	SetTree* pD = InitSet(D);
	SetTree* pE = InitSet(E);	SetTree* pF = InitSet(F);
	SetTree* pG = InitSet(G);	SetTree* pH = InitSet(H);

	MakeSet(pA);	MakeSet(pB);
	MakeSet(pC);	MakeSet(pD);
	MakeSet(pE);	MakeSet(pF);
	MakeSet(pG);	MakeSet(pH);

	/*	  ģ.	[׸ 1]  	*/
	Union(pB, pA);
	Union(pC, pB);
	Union(pD, pF);
	Union(pD, pG);
	Union(pH, pD);
	Union(pC, pH);

	printf("A θ  %c̴.\n", pA->pParent->Set + 'A');
	printf("B θ  %c̴.\n", pB->pParent->Set + 'A');
	printf("H θ  %c̴.\n", pH->pParent->Set + 'A');
	printf("D θ  %c̴.\n", pD->pParent->Set + 'A');
	printf("F θ  %c̴.\n", pF->pParent->Set + 'A');
	printf("G θ  %c̴.\n", pG->pParent->Set + 'A');
	printf("C θ  %c̴.\n", pC->pParent->Set + 'A');

	printf("\n\nAfter FindSet(pG)\n\n");

	FindSet(pG);
	
	/*	[׸ 2]  Ǿ Ȯ	*/
	printf("D θ  %c̴.\n", pD->pParent->Set + 'A');
	printf("G θ  %c̴.\n", pG->pParent->Set + 'A');
	printf("F θ  %c̴.\n", pF->pParent->Set + 'A');
	printf("H θ  %c̴.\n", pH->pParent->Set + 'A');

	/*	  Ҵ 	*/
	DeleteSet(pA);	DeleteSet(pB);
	DeleteSet(pC);	DeleteSet(pD);
	DeleteSet(pE);	DeleteSet(pF);
	DeleteSet(pG);	DeleteSet(pH);
	return 0;
}


